package user;

import exeptions.IllegalValueObjectArgument;

public record Username(String username) {

	public Username {
		if (username.isBlank() || username.isEmpty()) {
			throw new IllegalValueObjectArgument("A username must be a valid non-empty string.");
		}
	}

	@Override
	public String toString() {
		return username;
	}
}
